Skip to main content
POST
/
texml
/
Accounts
/
{account_sid}
/
Conferences
/
{conference_sid}
/
Participants
/
{call_sid_or_participant_label}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const participant = await client.texml.accounts.conferences.participants.update(
  'call_sid_or_participant_label',
  { account_sid: 'account_sid', conference_sid: 'conference_sid' },
);

console.log(participant.account_sid);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
participant = client.texml.accounts.conferences.participants.update(
call_sid_or_participant_label="call_sid_or_participant_label",
account_sid="account_sid",
conference_sid="conference_sid",
)
print(participant.account_sid)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
participant, err := client.Texml.Accounts.Conferences.Participants.Update(
context.TODO(),
"call_sid_or_participant_label",
telnyx.TexmlAccountConferenceParticipantUpdateParams{
AccountSid: "account_sid",
ConferenceSid: "conference_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", participant.AccountSid)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantUpdateParams;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantUpdateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ParticipantUpdateParams params = ParticipantUpdateParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.callSidOrParticipantLabel("call_sid_or_participant_label")
.build();
ParticipantUpdateResponse participant = client.texml().accounts().conferences().participants().update(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

participant = telnyx.texml.accounts.conferences.participants.update(
"call_sid_or_participant_label",
account_sid: "account_sid",
conference_sid: "conference_sid"
)

puts(participant)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$participant = $client->texml->accounts->conferences->participants->update(
'call_sid_or_participant_label',
accountSid: 'account_sid',
conferenceSid: 'conference_sid',
announceMethod: 'GET',
announceURL: 'https://www.example.com/announce.xml',
beepOnExit: false,
callSidToCoach: 'v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ',
coaching: false,
endConferenceOnExit: false,
hold: true,
holdMethod: 'POST',
holdURL: 'https://www.example.com/hold-music.xml',
muted: true,
waitURL: 'https://www.example.com/wait_music.mp3',
);

var_dump($participant);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx texml:accounts:conferences:participants update \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sid \
--call-sid-or-participant-label call_sid_or_participant_label
curl --request POST \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data BeepOnExit=false
{
  "account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
  "api_version": "v2/texml",
  "call_sid": "v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ",
  "call_sid_legacy": "v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ",
  "coaching": false,
  "conference_sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
  "date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
  "date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
  "end_conference_on_exit": false,
  "hold": false,
  "muted": false,
  "status": "completed",
  "uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json"
}
{
"errors": [
{
"detail": "Resource not found"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The id of the account the resource belongs to.

conference_sid
string
required

The ConferenceSid that uniquely identifies a conference.

call_sid_or_participant_label
string
required

CallSid or Label of the Participant to update.

Body

application/x-www-form-urlencoded

Update Conference Participant request object

Muted
boolean

Whether the participant should be muted.

Example:

true

Hold
boolean

Whether the participant should be on hold.

Example:

true

HoldUrl
string

The URL to be called using the HoldMethod for music that plays when the participant is on hold. The URL may return an MP3 file, a WAV file, or a TwiML document that contains <Play>, <Say>, <Pause>, or <Redirect> verbs.

Example:

"https://www.example.com/hold-music.xml"

HoldMethod
enum<string>

The HTTP method to use when calling the HoldUrl.

Available options:
GET,
POST
Example:

"POST"

AnnounceUrl
string

The URL to call to announce something to the participant. The URL may return an MP3 fileo a WAV file, or a TwiML document that contains <Play>, <Say>, <Pause>, or <Redirect> verbs.

Example:

"https://www.example.com/announce.xml"

AnnounceMethod
enum<string>

The HTTP method used to call the AnnounceUrl. Defaults to POST.

Available options:
GET,
POST
Example:

"GET"

WaitUrl
string

The URL to call for an audio file to play while the participant is waiting for the conference to start.

Example:

"https://www.example.com/wait_music.mp3"

BeepOnExit
boolean

Whether to play a notification beep to the conference when the participant exits.

Example:

false

EndConferenceOnExit
boolean

Whether to end the conference when the participant leaves.

Example:

false

Coaching
boolean

Whether the participant is coaching another call. When true, CallSidToCoach has to be given.

Example:

false

CallSidToCoach
string

The SID of the participant who is being coached. The participant being coached is the only participant who can hear the participant who is coaching.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

Response

Participant resource.

account_sid
string

The id of the account the resource belongs to.

Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

api_version
string

The version of the API that was used to make the request.

Example:

"v2/texml"

call_sid
string

The identifier of this participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

call_sid_legacy
string

The identifier of this participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

coaching
boolean

Whether the participant is coaching another call.

Example:

false

coaching_call_sid
string

The identifier of the coached participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

coaching_call_sid_legacy
string

The identifier of the coached participant's call.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

date_created
string

The timestamp of when the resource was created.

Example:

"Thu, 15 Jun 2023 09:56:45 +0000"

date_updated
string

The timestamp of when the resource was last updated.

Example:

"Thu, 15 Jun 2023 09:56:45 +0000"

end_conference_on_exit
boolean

Whether the conference ends when the participant leaves.

Example:

false

hold
boolean

Whether the participant is on hold.

Example:

false

muted
boolean

Whether the participant is muted.

Example:

false

status
enum<string>

The status of the participant's call in the conference.

Available options:
connecting,
connected,
completed
Example:

"connected"

uri
string

The relative URI for this participant.

Example:

"/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json"

conference_sid
string<uuid>

The unique identifier for the conference.

Example:

"cd5a70f4-759b-4d5e-9c06-88c00f16f3c1"